Skip to main content
`Ctrl`+`K`

# TaoMonitorStepDraw

Plots the step direction at each iteration of `TaoSolve()`

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoMonitorStepDraw(Tao tao, PetscCtx ctx)

Collective

## Input Parameters

- tao - the `Tao` context

- ctx - the `PetscViewer` context

## Options Database Key

- -tao_monitor_step_draw - draw the step direction at each iteration

## See Also

TAO: Optimization Solvers, `Tao`, `TaoMonitorSet()`, `TaoMonitorSolutionDraw`

## Level

advanced

## Location

src/tao/interface/taosolver.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages